function init(hero) {
    hero.setName("Robot");
    hero.setTier(6);
    
    hero.addPowers("mvh:inv_robot");

    hero.setHelmet("Head");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
    
    hero.addKeyBind("ENERGY_PROJECTION", "Robot Laser", 1);
    hero.addKeyBind("AIM", "key.aim", 2)

    hero.supplyFunction("canAim", canAim);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}
